## libarchive 3.3.3

=== debian/changelog ===
libarchive (3.3.3-4+deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2019-18408
    Fix use after free in case parts of the archive are corrupt but
    the archive contains several headers.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 27 Oct 2019 10:03:02 +0200

libarchive (3.3.3-4) unstable; urgency=medium

  * Add three upstream patches:
    - CVE-2019-1000019: fix a crash when parsing some 7zip archives
    - CVE-2019-1000020: require the RockRidge extension for iso9660
    - zip-nullptr: fix a null pointer deference in ZIP files handling

 -- Peter Pentchev <roam@debian.org>  Wed, 06 Feb 2019 11:01:25 +0200

libarchive (3.3.3-3) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Build-depend on libext2fs-dev instead of e2fslibs-dev (Closes: #890210)
  * CI: Use the salsa-ci-team pipeline

  [ Peter Pentchev ]
  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add my copyright notice for debian/*.
  * Extend Andreas Henriksson's copyright notice all the way to 2019.

 -- Peter Pentchev <roam@debian.org>  Sat, 05 Jan 2019 19:07:02 +0200

libarchive (3.3.3-2) unstable; urgency=medium

  * Add Daniel Axtens's security and reliability patches:
    - CVE-2018-1000877.patch: Closes: #916964
    - CVE-2018-1000878.patch: Closes: #916963
    - CVE-2018-1000879.patch: Closes: #916962
    - CVE-2018-1000880.patch: Closes: #916960
    - all merged upstream in https://github.com/libarchive/libarchive/pull/1105
    Thanks to Salvatore Bonaccorso for filing the Debian bugs!

 -- Peter Pentchev <roam@debian.org>  Fri, 21 Dec 2018 18:01:29 +0200

libarchive (3.3.3-1) unstable; urgency=medium

  [ Peter Pentchev ]
  * Declare compliance with Debian Policy 4.2.1 with no changes.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Build with zstd compression support.
  * Pass --fail-missing to dh_missing, not to dh_install any more.

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop debian/patches/ now part of upstream release:
    - Avoid-a-read-off-by-one-error-for-UTF16-names-in-RAR.patch
    - Do-something-sensible-for-empty-strings-to-make-fuzz.patch
    - Fail-with-negative-lha-compsize-in-lha_read_file_header_1.patch
    - Reject-LHA-archive-entries-with-negative-size.patch
    - Reread-the-CAB-header-skipping-the-self-extracting-b.patch
    - archive_strncat_l-allocate-and-do-not-convert-if-len.patch
    - iso9660-validate-directory-record-length.patch
  * Update libarchive13.symbols

 -- Peter Pentchev <roam@debian.org>  Sat, 15 Dec 2018 02:01:01 +0200

libarchive (3.2.2-5) unstable; urgency=medium

  * Acknowledge NMUs; many thanks to Salvatore Bonaccorso!
  * Use my Debian e-mail address.
  * Declare compliance with Debian Policy 4.2.0:
    - add Rules-Requires-Root: no to the source control stanza
    - install the upstream release notes (NEWS)
  * Drop the duplicate Priority fields for the binary packages.
  * Switch to the HTTPS scheme in various upstream and Debian
    packaging URLs.
  * Drop some trailing whitespace from old changelog entries.
  * Bump the debhelper compatibility level to 11 with no changes and
    use the B-D: debhelper-compat (= 11) mechanism.
  * Add a trivial autopkgtest running adequate on the binary packages.

 -- Peter Pentchev <roam@debian.org>  Sat, 25 Aug 2018 18:28:10 +0300

libarchive (3.2.2-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * iso9660: validate directory record length (CVE-2017-14501)
    (Closes: #875966)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 Aug 2018 08:18:10 +0200

libarchive (3.2.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Reject LHA archive entries with negative size (CVE-2017-14503)
    (Closes: #875960)
  * Avoid a read off-by-one error for UTF16 names in RAR archives
    (CVE-2017-14502)
    (Closes: #875974)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 25 Jul 2018 21:29:42 +0200

libarchive (3.2.2-4) unstable; urgency=medium

  * Team upload.
  * debian/control: Update Vcs-* fields for move to salsa.debian.org
  * debian/control: Replace Priority: extra with optional

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 31 May 2018 00:01:28 +0200

=== debian/control ===
Source: libarchive
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends: debhelper-compat (= 12),
               pkg-config,
               libbz2-dev,
               liblz4-dev,
               liblzma-dev,
               libxml2-dev,
               libzstd-dev,
               zlib1g-dev,
               libacl1-dev [!hurd-any],
               libext2fs-dev,
               libattr1-dev,
               sharutils,
               nettle-dev,
               liblzo2-dev,
               locales | locales-all
Standards-Version: 4.3.0
Section: libs
Homepage: https://www.libarchive.org/
Vcs-Browser: https://salsa.debian.org/debian/libarchive
Vcs-Git: https://salsa.debian.org/debian/libarchive.git
Rules-Requires-Root: no

Package: libarchive-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libarchive13 (= ${binary:Version}), ${misc:Depends}
Description: Multi-format archive and compression library (development files)
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2. The library is inherently stream-oriented; readers serially
 iterate through the archive, writers serially add things to the archive.
 .
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * iso9660 (read and write, including Joliet and Rockridge extensions, with
      some limitations)
    * zip (read only, with some limitations, uses zlib)
    * mtree (read and write)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only)
    * xar (read only)
    * rar (read only, with some limitations)
    * 7zip (read and write, with some limitations)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
    * zstandard (read and write using libzstd)
 .
 This package provides the files necessary for development with libarchive.

Package: libarchive13
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lrzip
Description: Multi-format archive and compression library (shared library)
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2. The library is inherently stream-oriented; readers serially
 iterate through the archive, writers serially add things to the archive.
 .
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * iso9660 (read and write, including Joliet and Rockridge extensions, with
      some limitations)
    * zip (read only, with some limitations, uses zlib)
    * mtree (read and write)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only)
    * xar (read only)
    * rar (read only, with some limitations)
    * 7zip (read and write, with some limitations)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
    * zstandard (read and write using libzstd)
 .
 This package provides the libarchive shared library.

Package: libarchive-tools
Architecture: any
Depends: libarchive13 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Section: utils
Breaks: bsdcpio (<< 3.2.1-2~), bsdtar (<< 3.2.1-2~)
Replaces: bsdcpio (<< 3.2.1-2~), bsdtar (<< 3.2.1-2~)
Description: FreeBSD implementations of 'tar' and 'cpio' and other archive tools
 This package contains several command-line tools based on the libarchive
 library.
 .
 The bsdtar program is the default system 'tar' program used on FreeBSD. bsdtar
 uses the libarchive library as a backend which does all of the work for reading
 and writing archives in various formats.
 .
 The bsdcpio program is the default system 'cpio' program used on FreeBSD.
 bsdcpio uses the libarchive library as a backend which does all of the work for
 reading and writing archives in various formats.
 .
 The bsdcat program reads archived data from files or from its standard input
 and uses the libarchive library to decompresses it to its standard output.
 It may be used for viewing the contents of archives or for passing it to other
 tools for further processing.

Package: bsdtar
Architecture: all
Depends: libarchive-tools (>= ${source:Version}), ${misc:Depends}
Section: oldlibs
Description: transitional dummy package for moving bsdtar to libarchive-tools
 The bsdtar program is the default system 'tar' program used on FreeBSD. bsdtar
 uses the libarchive library as a backend which does all of the work for reading
 and writing archives in various formats.
 .
 This is a transitional package for the migration of the bsdtar tool to
 the libarchive-tools package.

Package: bsdcpio
Architecture: all
Depends: libarchive-tools (>= ${source:Version}), ${misc:Depends}
Section: oldlibs
Description: transitional dummy package for moving bsdcpio to libarchive-tools
 The bsdcpio program is the default system 'cpio' program used on FreeBSD.
 bsdcpio uses the libarchive library as a backend which does all of the work for
 reading and writing archives in various formats.
 .
 This is a transitional package for the migration of the bsdcpio tool to
 the libarchive-tools package.

=== debian/watch ===
version=3
opts=dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg|repack)(.*)$//i,pasv \
https://www.libarchive.org/downloads/libarchive-(.*)\.tar\.gz

## libarchive 3.3.3.3

=== debian/changelog ===
libarchive (3.3.3.3-deepin1) unstable; urgency=medium

  * fix CVE-2022-36227

 -- zengwei <zengwei1@uniontech.com>  Tue, 31 Jan 2023 09:42:16 +0800

libarchive (3.3.3.2-deepin1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to buster security version and update version 

 -- Ding Heng <dingheng@uniontech.com>  Tue, 27 Dec 2022 16:31:38 +0800

libarchive (3.3.3-4+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2019-19221: archive_wstring_append_from_mbs in archive_string.c
    has an out-of-bounds read because of an incorrect mbrtowc or mbtowc
    call. For example, bsdtar crashes via a crafted archive.
    (Closes: #945287)
  * CVE-2021-23177: an improper link resolution flaw while extracting an
    archive can lead to changing the access control list (ACL) of the
    target of the link. An attacker may provide a malicious archive to a
    victim user, who would trigger this flaw when trying to extract the
    archive. A local attacker may use this flaw to change the ACL of a
    file on the system and gain more privileges. (Closes: #1001986)
  * CVE-2021-31566: an improper link resolution flaw can occur while
    extracting an archive leading to changing modes, times, access control
    lists, and flags of a file outside of the archive. An attacker may
    provide a malicious archive to a victim user, who would trigger this
    flaw when trying to extract the archive. A local attacker may use this
    flaw to gain more privileges in a system. (Closes: #1001990)

 -- Sylvain Beucler <beuc@debian.org>  Mon, 21 Nov 2022 16:48:59 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

DEB_LDFLAGS_MAINT_APPEND=	-Wl,--as-needed
export DEB_LDFLAGS_MAINT_APPEND

.PHONY: build

%:
	dh $@

build:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --without-openssl --with-nettle \
		--enable-bsdtar=shared --enable-bsdcpio=shared \
		--enable-bsdcat=shared

override_dh_autoreconf:
	dh_autoreconf build/autogen.sh

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_install:
	find debian -name '*.la' -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifneq (,$(filter check,$(DEB_BUILD_OPTIONS)))
ifneq (,$(shell locale -a | grep en_US.utf8))
	_VERBOSITY_LEVEL=1 dh_auto_test --parallel
else
	mkdir -p tmp-locales
	localedef -i /usr/share/i18n/locales/en_US -c -f UTF-8 \
		-A /usr/share/locale/locale.alias tmp-locales/en_US.UTF-8
	_VERBOSITY_LEVEL=1 LOCPATH=$(CURDIR)/tmp-locales dh_auto_test --parallel
	rm -rf tmp-locales
endif
endif

override_dh_installchangelogs:
	dh_installchangelogs
	set -e; for p in $$(dh_listpackages); do \
		install -m 644 NEWS debian/$$p/usr/share/doc/$$p/; \
	done

=== debian/tests/control ===
Tests: minitar
Depends: build-essential, file, libarchive-dev, pkg-config

Test-Command: adequate libarchive-dev libarchive13 libarchive-tools bsdtar bsdcpio
Depends: @, adequate

## libarchive 3.4.0

=== doc/html/Makefile ===

default: all


archive_entry.3.html: ../../libarchive/archive_entry.3
	groff -mdoc -T html ../../libarchive/archive_entry.3 > archive_entry.3.html

archive_entry_acl.3.html: ../../libarchive/archive_entry_acl.3
	groff -mdoc -T html ../../libarchive/archive_entry_acl.3 > archive_entry_acl.3.html

archive_entry_linkify.3.html: ../../libarchive/archive_entry_linkify.3
	groff -mdoc -T html ../../libarchive/archive_entry_linkify.3 > archive_entry_linkify.3.html

archive_entry_misc.3.html: ../../libarchive/archive_entry_misc.3
	groff -mdoc -T html ../../libarchive/archive_entry_misc.3 > archive_entry_misc.3.html

archive_entry_paths.3.html: ../../libarchive/archive_entry_paths.3
	groff -mdoc -T html ../../libarchive/archive_entry_paths.3 > archive_entry_paths.3.html

archive_entry_perms.3.html: ../../libarchive/archive_entry_perms.3
	groff -mdoc -T html ../../libarchive/archive_entry_perms.3 > archive_entry_perms.3.html

archive_entry_stat.3.html: ../../libarchive/archive_entry_stat.3
	groff -mdoc -T html ../../libarchive/archive_entry_stat.3 > archive_entry_stat.3.html

archive_entry_time.3.html: ../../libarchive/archive_entry_time.3
	groff -mdoc -T html ../../libarchive/archive_entry_time.3 > archive_entry_time.3.html

archive_read.3.html: ../../libarchive/archive_read.3
	groff -mdoc -T html ../../libarchive/archive_read.3 > archive_read.3.html

archive_read_add_passphrase.3.html: ../../libarchive/archive_read_add_passphrase.3
	groff -mdoc -T html ../../libarchive/archive_read_add_passphrase.3 > archive_read_add_passphrase.3.html

archive_read_data.3.html: ../../libarchive/archive_read_data.3
	groff -mdoc -T html ../../libarchive/archive_read_data.3 > archive_read_data.3.html

archive_read_disk.3.html: ../../libarchive/archive_read_disk.3
	groff -mdoc -T html ../../libarchive/archive_read_disk.3 > archive_read_disk.3.html

archive_read_extract.3.html: ../../libarchive/archive_read_extract.3
	groff -mdoc -T html ../../libarchive/archive_read_extract.3 > archive_read_extract.3.html

archive_read_filter.3.html: ../../libarchive/archive_read_filter.3
	groff -mdoc -T html ../../libarchive/archive_read_filter.3 > archive_read_filter.3.html

archive_read_format.3.html: ../../libarchive/archive_read_format.3
	groff -mdoc -T html ../../libarchive/archive_read_format.3 > archive_read_format.3.html

archive_read_free.3.html: ../../libarchive/archive_read_free.3
	groff -mdoc -T html ../../libarchive/archive_read_free.3 > archive_read_free.3.html

archive_read_header.3.html: ../../libarchive/archive_read_header.3
	groff -mdoc -T html ../../libarchive/archive_read_header.3 > archive_read_header.3.html

archive_read_new.3.html: ../../libarchive/archive_read_new.3
	groff -mdoc -T html ../../libarchive/archive_read_new.3 > archive_read_new.3.html

archive_read_open.3.html: ../../libarchive/archive_read_open.3
	groff -mdoc -T html ../../libarchive/archive_read_open.3 > archive_read_open.3.html

archive_read_set_options.3.html: ../../libarchive/archive_read_set_options.3
	groff -mdoc -T html ../../libarchive/archive_read_set_options.3 > archive_read_set_options.3.html

archive_util.3.html: ../../libarchive/archive_util.3
	groff -mdoc -T html ../../libarchive/archive_util.3 > archive_util.3.html

archive_write.3.html: ../../libarchive/archive_write.3
	groff -mdoc -T html ../../libarchive/archive_write.3 > archive_write.3.html

archive_write_blocksize.3.html: ../../libarchive/archive_write_blocksize.3
	groff -mdoc -T html ../../libarchive/archive_write_blocksize.3 > archive_write_blocksize.3.html

archive_write_data.3.html: ../../libarchive/archive_write_data.3
	groff -mdoc -T html ../../libarchive/archive_write_data.3 > archive_write_data.3.html

archive_write_disk.3.html: ../../libarchive/archive_write_disk.3
	groff -mdoc -T html ../../libarchive/archive_write_disk.3 > archive_write_disk.3.html

archive_write_filter.3.html: ../../libarchive/archive_write_filter.3
	groff -mdoc -T html ../../libarchive/archive_write_filter.3 > archive_write_filter.3.html

archive_write_finish_entry.3.html: ../../libarchive/archive_write_finish_entry.3
	groff -mdoc -T html ../../libarchive/archive_write_finish_entry.3 > archive_write_finish_entry.3.html

archive_write_format.3.html: ../../libarchive/archive_write_format.3
	groff -mdoc -T html ../../libarchive/archive_write_format.3 > archive_write_format.3.html

archive_write_free.3.html: ../../libarchive/archive_write_free.3
	groff -mdoc -T html ../../libarchive/archive_write_free.3 > archive_write_free.3.html

archive_write_header.3.html: ../../libarchive/archive_write_header.3
	groff -mdoc -T html ../../libarchive/archive_write_header.3 > archive_write_header.3.html

archive_write_new.3.html: ../../libarchive/archive_write_new.3
	groff -mdoc -T html ../../libarchive/archive_write_new.3 > archive_write_new.3.html

archive_write_open.3.html: ../../libarchive/archive_write_open.3
	groff -mdoc -T html ../../libarchive/archive_write_open.3 > archive_write_open.3.html

archive_write_set_options.3.html: ../../libarchive/archive_write_set_options.3
	groff -mdoc -T html ../../libarchive/archive_write_set_options.3 > archive_write_set_options.3.html

archive_write_set_passphrase.3.html: ../../libarchive/archive_write_set_passphrase.3
	groff -mdoc -T html ../../libarchive/archive_write_set_passphrase.3 > archive_write_set_passphrase.3.html

cpio.5.html: ../../libarchive/cpio.5
	groff -mdoc -T html ../../libarchive/cpio.5 > cpio.5.html

libarchive.3.html: ../../libarchive/libarchive.3
	groff -mdoc -T html ../../libarchive/libarchive.3 > libarchive.3.html

libarchive_changes.3.html: ../../libarchive/libarchive_changes.3
	groff -mdoc -T html ../../libarchive/libarchive_changes.3 > libarchive_changes.3.html

libarchive-formats.5.html: ../../libarchive/libarchive-formats.5
	groff -mdoc -T html ../../libarchive/libarchive-formats.5 > libarchive-formats.5.html

libarchive_internals.3.html: ../../libarchive/libarchive_internals.3
	groff -mdoc -T html ../../libarchive/libarchive_internals.3 > libarchive_internals.3.html

mtree.5.html: ../../libarchive/mtree.5
	groff -mdoc -T html ../../libarchive/mtree.5 > mtree.5.html

tar.5.html: ../../libarchive/tar.5
	groff -mdoc -T html ../../libarchive/tar.5 > tar.5.html

bsdtar.1.html: ../../tar/bsdtar.1
	groff -mdoc -T html ../../tar/bsdtar.1 > bsdtar.1.html

bsdcpio.1.html: ../../cpio/bsdcpio.1
	groff -mdoc -T html ../../cpio/bsdcpio.1 > bsdcpio.1.html
all: archive_entry.3.html archive_entry_acl.3.html archive_entry_linkify.3.html archive_entry_misc.3.html archive_entry_paths.3.html archive_entry_perms.3.html archive_entry_stat.3.html archive_entry_time.3.html archive_read.3.html archive_read_add_passphrase.3.html archive_read_data.3.html archive_read_disk.3.html archive_read_extract.3.html archive_read_filter.3.html archive_read_format.3.html archive_read_free.3.html archive_read_header.3.html archive_read_new.3.html archive_read_open.3.html archive_read_set_options.3.html archive_util.3.html archive_write.3.html archive_write_blocksize.3.html archive_write_data.3.html archive_write_disk.3.html archive_write_filter.3.html archive_write_finish_entry.3.html archive_write_format.3.html archive_write_free.3.html archive_write_header.3.html archive_write_new.3.html archive_write_open.3.html archive_write_set_options.3.html archive_write_set_passphrase.3.html cpio.5.html libarchive.3.html libarchive_changes.3.html libarchive-formats.5.html libarchive_internals.3.html mtree.5.html tar.5.html bsdtar.1.html bsdcpio.1.html

=== debian/changelog ===
libarchive (3.4.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add back e2fslibs-dev as alternative BD.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 May 2020 12:49:03 -0700

libarchive (3.4.0-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Add the CVE-2020-9308 patch - invalid RAR5 headers. (Closes: #951759)
  * Make the autopkgtests cross-test-friendly. (Closes: #953140)

 -- Peter Pentchev <roam@debian.org>  Sat, 07 Mar 2020 16:28:00 +0200

libarchive (3.4.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.4.0 with no changes.
  * Mark the adequate test as superficial and give it a name.
  * Update the watch file a bit:
    - use the version 4 format placeholders
    - drop the "pasv" option, no FTP upstream sites
    - add the upstream signing key
  * Run all available Salsa CI jobs.
  * Drop the bsdtar and bsdcpio transitional packages.
    Closes: #940745, #940753
  * New upstream version:
    - drop all the patches obtained from the upstream Git repository
      (CVE-2018-1000877, CVE-2018-1000878, CVE-2018-1000879,
       CVE-2018-1000880, CVE-2019-1000019, CVE-2019-1000020, and
       zip-nullptr)
    - update the library symbols file
  * Add some bugfix patches obtained from upstream.
  * Add the typos patch to correct some typographical and grammatical
    errors.
  * Update the upstream copyright information.

 -- Peter Pentchev <roam@debian.org>  Sat, 21 Sep 2019 01:44:44 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libarchive
 Priority: optional
-Maintainer: Peter Pentchev <roam@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends: debhelper-compat (= 12),
                pkg-config,
                libbz2-dev,
@@ -10,13 +11,13 @@
                libzstd-dev,
                zlib1g-dev,
                libacl1-dev [!hurd-any],
-               libext2fs-dev,
+               libext2fs-dev | e2fslibs-dev,
                libattr1-dev,
                sharutils,
                nettle-dev,
                liblzo2-dev,
                locales | locales-all
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://www.libarchive.org/
 Vcs-Browser: https://salsa.debian.org/debian/libarchive
@@ -129,27 +130,3 @@
  and uses the libarchive library to decompresses it to its standard output.
  It may be used for viewing the contents of archives or for passing it to other
  tools for further processing.
-
-Package: bsdtar
-Architecture: all
-Depends: libarchive-tools (>= ${source:Version}), ${misc:Depends}
-Section: oldlibs
-Description: transitional dummy package for moving bsdtar to libarchive-tools
- The bsdtar program is the default system 'tar' program used on FreeBSD. bsdtar
- uses the libarchive library as a backend which does all of the work for reading
- and writing archives in various formats.
- .
- This is a transitional package for the migration of the bsdtar tool to
- the libarchive-tools package.
-
-Package: bsdcpio
-Architecture: all
-Depends: libarchive-tools (>= ${source:Version}), ${misc:Depends}
-Section: oldlibs
-Description: transitional dummy package for moving bsdcpio to libarchive-tools
- The bsdcpio program is the default system 'cpio' program used on FreeBSD.
- bsdcpio uses the libarchive library as a backend which does all of the work for
- reading and writing archives in various formats.
- .
- This is a transitional package for the migration of the bsdcpio tool to
- the libarchive-tools package.

=== debian/rules ===
--- 
+++ 
@@ -51,3 +51,6 @@
 	set -e; for p in $$(dh_listpackages); do \
 		install -m 644 NEWS debian/$$p/usr/share/doc/$$p/; \
 	done
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## libarchive 3.4.3

=== CMakeLists.txt ===
#
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12 FATAL_ERROR)
if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW) #3.12.0 `find_package()`` uses ``<PackageName>_ROOT`` variables.
endif()
#
PROJECT(libarchive C)
#
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/build/cmake")
if(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${libarchive_BINARY_DIR}/bin)
endif()
#
# Set the Build type for make based generators.
# You can choose following types:
#   Debug          : Debug build
#   Release        : Release build
#   RelWithDebInfo : Release build with Debug Info
#   MinSizeRel     : Release Min Size build
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "Build Type" FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)
# Set a value type to properly display CMAKE_BUILD_TYPE on GUI if the
# value type is "UNINITIALIZED".
GET_PROPERTY(cached_type CACHE CMAKE_BUILD_TYPE PROPERTY TYPE)
IF("${cached_type}" STREQUAL "UNINITIALIZED")
  SET(CMAKE_BUILD_TYPE "${CMAKE_BUILD_TYPE}" CACHE STRING "Build Type" FORCE)
ENDIF("${cached_type}" STREQUAL "UNINITIALIZED")
# Check the Build Type.
IF(NOT "${CMAKE_BUILD_TYPE}"
       MATCHES "^(Debug|Release|RelWithDebInfo|MinSizeRel)\$")
  MESSAGE(FATAL_ERROR
          "Unknown keyword for CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}\n"
          "Acceptable keywords: Debug,Release,RelWithDebInfo,MinSizeRel")
ENDIF(NOT "${CMAKE_BUILD_TYPE}"
          MATCHES "^(Debug|Release|RelWithDebInfo|MinSizeRel)\$")

# On MacOS, prefer MacPorts libraries to system libraries.
# I haven't come up with a compelling argument for this to be conditional.
list(APPEND CMAKE_PREFIX_PATH /opt/local)
# Enable @rpath in the install name.
# detail in "cmake  --help-policy CMP0042"
SET(CMAKE_MACOSX_RPATH ON)

#
# Version - read from 'version' file.
#
FILE(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/build/version _version)
STRING(REGEX REPLACE
 "^([0-9])[0-9][0-9][0-9][0-9][0-9][0-9][a-z]*$" "\\1" _major ${_version})
STRING(REGEX REPLACE
 "^[0-9]([0-9][0-9][0-9])[0-9][0-9][0-9][a-z]*$" "\\1" _minor ${_version})
STRING(REGEX REPLACE
 "^[0-9][0-9][0-9][0-9]([0-9][0-9][0-9])[a-z]*$" "\\1" _revision ${_version})
STRING(REGEX REPLACE
 "^[0-9][0-9][0-9][0-9][0-9][0-9][0-9]([a-z]*)$" "\\1" _quality ${_version})
SET(_version_number ${_major}${_minor}${_revision})
STRING(REGEX REPLACE "[0]*([^0]*[0-9])$" "\\1" _trimmed_minor ${_minor})
STRING(REGEX REPLACE "[0]*([^0]*[0-9])$" "\\1" _trimmed_revision ${_revision})
#
SET(VERSION                    "${_major}.${_trimmed_minor}.${_trimmed_revision}${_quality}")
SET(BSDCPIO_VERSION_STRING     "${VERSION}")
SET(BSDTAR_VERSION_STRING      "${VERSION}")
SET(BSDCAT_VERSION_STRING      "${VERSION}")
SET(LIBARCHIVE_VERSION_NUMBER  "${_version_number}")
SET(LIBARCHIVE_VERSION_STRING  "${VERSION}")

# INTERFACE_VERSION increments with every release
# libarchive 2.7 == interface version 9 = 2 + 7
# libarchive 2.8 == interface version 10 = 2 + 8
# libarchive 2.9 == interface version 11 = 2 + 9
# libarchive 3.0 == interface version 12
# libarchive 3.1 == interface version 13
math(EXPR INTERFACE_VERSION  "13 + ${_minor}")

# Set SOVERSION == Interface version
# ?? Should there be more here ??
SET(SOVERSION "${INTERFACE_VERSION}")

# Enalbe CMAKE_PUSH_CHECK_STATE() and CMAKE_POP_CHECK_STATE() macros
# saving and restoring the state of the variables.
INCLUDE(CMakePushCheckState)

# Initialize the state of the variables. This initialization is not
# necessary but this shows you what value the variables initially have.
SET(CMAKE_REQUIRED_DEFINITIONS)
SET(CMAKE_REQUIRED_INCLUDES)
SET(CMAKE_REQUIRED_LIBRARIES)
SET(CMAKE_REQUIRED_FLAGS)
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  OPTION(ENABLE_WERROR "Treat warnings as errors - default is ON for Debug, OFF otherwise." ON)
else ()
  OPTION(ENABLE_WERROR "Treat warnings as errors - default is ON for Debug, OFF otherwise." OFF)
endif ()

# Especially for early development, we want to be a little
# aggressive about diagnosing build problems; this can get
# relaxed somewhat in final shipping versions.
IF (CMAKE_C_COMPILER_ID MATCHES "^GNU$")
  SET(CMAKE_REQUIRED_FLAGS "-Wall -Wformat -Wformat-security")
  #################################################################
  # Set compile flags for all build types.
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wformat -Wformat-security")
  if (ENABLE_WERROR)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
  endif ()
  #################################################################
  # Set compile flags for debug build.
  # This is added into CMAKE_C_FLAGS when CMAKE_BUILD_TYPE is "Debug"
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wextra")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wunused")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wshadow")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wmissing-prototypes")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wcast-qual")
ENDIF (CMAKE_C_COMPILER_ID MATCHES "^GNU$")
IF (CMAKE_C_COMPILER_ID MATCHES "^Clang$")
  SET(CMAKE_REQUIRED_FLAGS "-Wall -Wformat -Wformat-security")
  #################################################################
  # Set compile flags for all build types.
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wformat -Wformat-security")
  if (ENABLE_WERROR)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
  endif ()
  #################################################################
  # Set compile flags for debug build.
  # This is added into CMAKE_C_FLAGS when CMAKE_BUILD_TYPE is "Debug"
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -g")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wextra")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wunused")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wshadow")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wmissing-prototypes")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wcast-qual")
ENDIF (CMAKE_C_COMPILER_ID MATCHES "^Clang$")
IF (CMAKE_C_COMPILER_ID MATCHES "^XL$")
  SET(CMAKE_C_COMPILER "xlc_r")
  SET(CMAKE_REQUIRED_FLAGS "-qflag=e:e -qformat=sec")
  #################################################################
  # Set compile flags for all build types.
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -qflag=e:e -qformat=sec")
  if (ENABLE_WERROR)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -qhalt=w")
  endif ()
  #################################################################
  # Set compile flags for debug build.
  # This is added into CMAKE_C_FLAGS when CMAKE_BUILD_TYPE is "Debug"
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -g")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -qflag=w:w")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -qinfo=pro:use")
ENDIF(CMAKE_C_COMPILER_ID MATCHES "^XL$")
IF (MSVC)
  if (ENABLE_WERROR)
    # /WX option is the same as gcc's -Werror option.
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /WX")
  endif ()
  #################################################################
  # Set compile flags for debug build.
  # This is added into CMAKE_C_FLAGS when CMAKE_BUILD_TYPE is "Debug"
  # Enable level 4 C4062: The enumerate has no associated handler in a switch
  #                       statement and there is no default that can catch it.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /w14062")
  # Enable level 4 C4254: A larger bit field was assigned to a smaller bit
  #                       field.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /w14254")
  # Enable level 4 C4295: An array was initialized but the last character in
  #                       the array is not a null; accessing the array may
  #                       produce unexpected results.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /w14295")
  # Enable level 4 C4296: An unsigned variable was used in a comparison
  #                       operation with zero.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /w14296")
  # Enable level 4 C4389: An operation involved signed and unsigned variables.
  #                       This could result in a loss of data.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /w14389")
  # Enable level 4 C4505: The given function is local and not referenced in
  #                       the body of the module; therefore, the function is
  #                       dead code.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /w14505")
  # Enable level 4 C4514: The optimizer removed an inline function that is not
  #                       called.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /w14514")
  # Enable level 4 C4702: Unreachable code.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /w14702")
  # Enable level 4 C4706: The test value in a conditional expression was the
  #                       result of an assignment.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /w14706")
  # /Oi option enables built-in functions.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /Oi")
  #################################################################
  # Set compile flags for release build.
  SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /Oi")
ENDIF (MSVC)

# Enable CTest/CDash support
include(CTest)

OPTION(ENABLE_MBEDTLS "Enable use of mbed TLS" OFF)
OPTION(ENABLE_NETTLE "Enable use of Nettle" OFF)
OPTION(ENABLE_OPENSSL "Enable use of OpenSSL" ON)
OPTION(ENABLE_LIBB2 "Enable the use of the system LIBB2 library if found" ON)
OPTION(ENABLE_LZ4 "Enable the use of the system LZ4 library if found" ON)
OPTION(ENABLE_LZO "Enable the use of the system LZO library if found" OFF)
OPTION(ENABLE_LZMA "Enable the use of the system LZMA library if found" ON)
OPTION(ENABLE_ZSTD "Enable the use of the system zstd library if found" ON)

OPTION(ENABLE_ZLIB "Enable the use of the system ZLIB library if found" ON)
OPTION(ENABLE_BZip2 "Enable the use of the system BZip2 library if found" ON)
OPTION(ENABLE_LIBXML2 "Enable the use of the system libxml2 library if found" ON)
OPTION(ENABLE_EXPAT "Enable the use of the system EXPAT library if found" ON)
OPTION(ENABLE_PCREPOSIX "Enable the use of the system PCREPOSIX library if found" ON)
OPTION(ENABLE_LibGCC "Enable the use of the system LibGCC library if found" ON)
# CNG is used for encrypt/decrypt Zip archives on Windows.
OPTION(ENABLE_CNG "Enable the use of CNG(Crypto Next Generation)" ON)

OPTION(ENABLE_TAR "Enable tar building" ON)
OPTION(ENABLE_TAR_SHARED "Enable dynamic build of tar" FALSE)
OPTION(ENABLE_CPIO "Enable cpio building" ON)
OPTION(ENABLE_CPIO_SHARED "Enable dynamic build of cpio" FALSE)
OPTION(ENABLE_CAT "Enable cat building" ON)
OPTION(ENABLE_CAT_SHARED "Enable dynamic build of cat" FALSE)
OPTION(ENABLE_XATTR "Enable extended attribute support" ON)
OPTION(ENABLE_ACL "Enable ACL support" ON)
OPTION(ENABLE_ICONV "Enable iconv support" ON)
OPTION(ENABLE_TEST "Enable unit and regression tests" ON)
OPTION(ENABLE_COVERAGE "Enable code coverage (GCC only, automatically sets ENABLE_TEST to ON)" FALSE)
OPTION(ENABLE_INSTALL "Enable installing of libraries" ON)

SET(POSIX_REGEX_LIB "AUTO" CACHE STRING "Choose what library should provide POSIX regular expression support")
SET(ENABLE_SAFESEH "AUTO" CACHE STRING "Enable use of /SAFESEH linker flag (MSVC only)")
SET(WINDOWS_VERSION "WIN7" CACHE STRING "Set Windows version to use (Windows only)")

IF(ENABLE_COVERAGE)
	include(LibarchiveCodeCoverage)
ENDIF(ENABLE_COVERAGE)

IF(ENABLE_TEST)
	ENABLE_TESTING()
ENDIF(ENABLE_TEST)

IF(WIN32)
  IF(WINDOWS_VERSION STREQUAL "WIN8")
    SET(NTDDI_VERSION 0x06020000)
    SET(_WIN32_WINNT 0x0602)
    SET(WINVER 0x0602)
  ELSEIF(WINDOWS_VERSION STREQUAL "WIN7")
    SET(NTDDI_VERSION 0x06010000)
    SET(_WIN32_WINNT 0x0601)
    SET(WINVER 0x0601)
  ELSEIF(WINDOWS_VERSION STREQUAL "WS08")
    SET(NTDDI_VERSION 0x06000100)
    SET(_WIN32_WINNT 0x0600)
    SET(WINVER 0x0600)
  ELSEIF(WINDOWS_VERSION STREQUAL "VISTA")
    SET(NTDDI_VERSION 0x06000000)
    SET(_WIN32_WINNT 0x0600)
    SET(WINVER 0x0600)
  ELSEIF(WINDOWS_VERSION STREQUAL "WS03")
    SET(NTDDI_VERSION 0x05020000)
    SET(_WIN32_WINNT 0x0502)
    SET(WINVER 0x0502)

=== debian/changelog ===
libarchive (3.4.3-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 19 Jan 2021 10:49:35 -0500

libarchive (3.4.3-2) unstable; urgency=medium

  * Add some more upstream patches:
    - upstream-isint-w
    - upstream-unneeded-strlen
    - upstream-hardlink-to-self
    - upstream-set-format-error (with a typo corrected)
    - upstream-rar-read-format
    - upstream-memory-stdlib
    - upstream-max-comp-level
  * Drop the unused liblzo2 build dependency. According to upstream,
    distributing libarchive binaries linked against liblzo2 violates
    the liblzo2 GPL license, so libarchive does not even use it unless
    explicitly requested, which we do not do anyway.
  * Fix two problems related to cross-building libarchive.
    Closes: #966637
    - drop the gcc B-D that I added as a reminder that dropping --as-needed
      was because it is handled automatically
    - annotate the test dependencies with <!nocheck>; since we never run
      the upstream test suite automatically, but only if the non-standard
      "check" build option is specified, this has no effect on normal builds,
      but it will fix cross-builds

 -- Peter Pentchev <roam@debian.org>  Sat, 01 Aug 2020 21:46:12 +0300

libarchive (3.4.3-1) unstable; urgency=medium

  * New upstream release:
    - update the upstream signing key
    - update the typos patch, correct some more mistakes
    - drop all the upstream-* patches
    - add an upstream copyright notice for a new file
  * Add the upstream-cpio-rdev and upstream-cpio-hardlink-type patches.

 -- Peter Pentchev <roam@debian.org>  Wed, 03 Jun 2020 16:40:28 +0300

libarchive (3.4.2-1) unstable; urgency=medium

  * Minor correction to the debian/watch file to catch up with
    the upstream site links.
  * New upstream release:
    - drop some patches that were taken from upstream:
      - upstream-rar-use-after-free
      - upstream-rar-uaf-test-eof
      - upstream-rar-window-mask
      - upstream-rar-window-test
      - upstream-rar-filter-beyond
      - upstream-archive-read-sparse
      - upstream-archive-clean
      - upstream-doc-7zip-zip
      - upstream-open-without-openat
      - upstream-lz4-uint32
      - CVE-2020-9308 patch
    - drop most of the typos patch - integrated upstream
    - update the upstream copyright years
  * Add some more corrections to the typos patch.
  * Drop the Name and Contact upstream metadata fields.
  * Drop the phony "build" target.
  * Do not pass "--as-needed" to the linker: recent versions of the Debian
    GCC package do that by default. Just in case, add a build dependency on
    a recent version so that it is not forgotten e.g. in a backport.
  * Add some upstream patches since 3.4.2.
  * Update to debhelper compat level 13:
    - `dh_missing --fail-missing` is the default now
    - use execute_before/execute_after targets
  * Drop the local-options file.

 -- Peter Pentchev <roam@debian.org>  Sat, 09 May 2020 22:04:02 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libarchive
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                pkg-config,
                libbz2-dev,
                liblz4-dev,
@@ -11,12 +11,11 @@
                libzstd-dev,
                zlib1g-dev,
                libacl1-dev [!hurd-any],
-               libext2fs-dev | e2fslibs-dev,
+               libext2fs-dev,
                libattr1-dev,
                sharutils,
                nettle-dev,
-               liblzo2-dev,
-               locales | locales-all
+               locales <!nocheck> | locales-all <!nocheck>
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://www.libarchive.org/

=== debian/rules ===
--- 
+++ 
@@ -4,16 +4,11 @@
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all
 export DEB_BUILD_MAINT_OPTIONS
 
-DEB_LDFLAGS_MAINT_APPEND=	-Wl,--as-needed
-export DEB_LDFLAGS_MAINT_APPEND
-
-.PHONY: build
-
 %:
 	dh $@
 
-build:
-	dh $@
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- --without-openssl --with-nettle \
@@ -26,12 +21,8 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
-override_dh_install:
+execute_before_dh_install:
 	find debian -name '*.la' -delete
-	dh_install
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_auto_test:
 ifneq (,$(filter check,$(DEB_BUILD_OPTIONS)))
@@ -46,11 +37,7 @@
 endif
 endif
 
-override_dh_installchangelogs:
-	dh_installchangelogs
+execute_after_dh_installchangelogs:
 	set -e; for p in $$(dh_listpackages); do \
 		install -m 644 NEWS debian/$$p/usr/share/doc/$$p/; \
 	done
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## libarchive 3.6.0

=== debian/changelog ===
libarchive (3.6.0-1ubuntu1) jammy; urgency=medium

  * Sync with Debian. (LP: #1967127)
    - Includes upstream fixes for CVE-2021-36976
  * debian/rules: fix broken check for nocheck DEB_BUILD_OPTION
  * SECURITY UPDATE: possible out-of-bounds read
    - Cherry-pick CVE-2022-26280.patch to fix zipx_lzma_alone_init()
    - CVE-2022-26280

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 06 Apr 2022 16:33:16 -0400

libarchive (3.6.0-1) unstable; urgency=medium

  * New upstream version (Closes: #1007120):
    - update the upstream copyright information
    - drop some patches that were taken from the upstream source:
      - lzip-large-dict
      - upstream-fix-32bit-size-cast
      - upstream-fixup-file-flags
      - upstream-fixup-symlinks
    - add another spelling correction to the typos patch
    - update the line numbers in the typos patch
  * Add the year 2022 to my debian/* copyright notice.
  * Reorder the copyright file so that it makes sense.

 -- Peter Pentchev <roam@debian.org>  Wed, 30 Mar 2022 13:04:33 +0300

libarchive (3.5.2-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * Add the year 2021 to my debian/* copyright notice.
  * Drop the Breaks/Replaces relations for pre-oldstable versions of
    bsdtar and bsdcpio.
  * Fix some shellcheck complaints about the minitar autopkgtest.
  * Use a comma, not a semicolon, in the Origin DEP-3 header.
  * Annotate the sharutils build dependency with <!nocheck>.
    Closes: #981654
  * Drop the obsolete libattr1-dev build dependency. At the moment it is
    still pulled in by libacl1-dev, but there is no reason for us not to
    do the right thing, so that everything goes right when libacl1-dev
    corrects its build dependency. Closes: #953931
  * New upstream version:
    - fix handling of symlink ACLs; Closes: 1001986
    - never follow symlinks when setting file flags; Closes: 1001990
    - update the upstream copyright information
    - drop some patches that were taken from the upstream source:
      - upstream-cpio-hardlink-type
      - upstream-cpio-rdev
      - upstream-unneeded-strlen
      - upstream-hardlink-to-self
      - upstream-set-format-error
      - upstream-rar-read-format
      - upstream-memory-stdlib
      - upstream-max-comp-level
      - upstream-isint-w
    - update the library symbols file
  * Add the lzip-large-dict patch to support larger lzip dictionaries.
    Closes: #1001901
  * Add the upstream-fixup-symlinks, upstream-fixup-file-flags, and
    upstream-fix-32bit-size-cast patches, importing three upstream
    post-3.5.2 commits.

 -- Peter Pentchev <roam@debian.org>  Wed, 22 Dec 2021 19:51:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- --without-openssl --with-nettle \
@@ -25,7 +22,7 @@
 	find debian -name '*.la' -delete
 
 override_dh_auto_test:
-ifneq (,$(filter check,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 ifneq (,$(shell locale -a | grep en_US.utf8))
 	_VERBOSITY_LEVEL=1 dh_auto_test --parallel
 else

=== debian/tests/control ===
Tests: minitar
Depends: build-essential, file, libarchive-dev, pkg-config
